Skip to main content
GET
/
api
/
v1
/
discovery
/
boards
/
{board_id}
/
search-history
List Search History
curl --request GET \
  --url https://api.example.com/api/v1/discovery/boards/{board_id}/search-history \
  --header 'Authorization: Bearer <token>'
[
  {
    "board_id": "<string>",
    "id": "<string>",
    "searched_at": "2023-11-07T05:31:56Z",
    "user_id": "<string>",
    "intent_id": "<string>",
    "query": "<string>",
    "result_count": 0
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

board_id
string
required

Response

Successful Response

board_id
string
required
id
string
required
searched_at
string<date-time>
required
user_id
string
required
intent_id
string | null
query
string | null
result_count
integer
default:0
Last modified on May 8, 2026